Index: /trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 537)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 538)
@@ -704,4 +704,10 @@
           fCommandHistoryArea->setCurrentItem(fCommandHistoryArea->item(selection));
         }
+      } else if (e->key() == (Qt::Key_Tab)) {
+        G4String ss = Complete(fCommandArea->text().toStdString().c_str());
+        fCommandArea->setText((char*)(ss.data()));
+
+        // do not pass by parent, it will disable widget tab focus !
+        return true;
       }
     }
Index: /trunk/geant4/specific.sh
===================================================================
--- /trunk/geant4/specific.sh	(revision 537)
+++ /trunk/geant4/specific.sh	(revision 538)
@@ -1,5 +1,5 @@
   set prompt='mac-g4> ' 
   #//////////////////////////////////////////////////////////
-  # Core : 
+  # Core :
   #//////////////////////////////////////////////////////////
   export MACOSX_DEPLOYMENT_TARGET=10.4
Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQt.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 537)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 538)
@@ -28,5 +28,5 @@
 // GEANT4 tag $Name: geant4-08-02-patch-01 $
 //
-// 
+//
 // OpenGLImmediateQt graphics system factory.
 
@@ -42,38 +42,36 @@
 
 G4OpenGLImmediateQt::G4OpenGLImmediateQt ():
-  G4VGraphicsSystem ("OpenGLImmediateQt",
-		     "OGLIQT",
-		     G4VisFeaturesOfOpenGLIQt (),
-		     G4VGraphicsSystem::threeD)
-{
-  G4OpenGLViewerMessenger::GetInstance();
+        G4VGraphicsSystem ("OpenGLImmediateQt",
+                           "OGLIQT",
+                           G4VisFeaturesOfOpenGLIQt (),
+                   G4VGraphicsSystem::threeD) {
+    G4OpenGLViewerMessenger::GetInstance();
 }
 
 G4VSceneHandler* G4OpenGLImmediateQt::CreateSceneHandler
 (const G4String& name) {
-  G4VSceneHandler* pScene = new G4OpenGLImmediateSceneHandler (*this, name);
-  return    pScene;
+    G4VSceneHandler* pScene = new G4OpenGLImmediateSceneHandler (*this, name);
+    return    pScene;
 }
 
 G4VViewer* G4OpenGLImmediateQt::CreateViewer
 (G4VSceneHandler& scene, const G4String& name) {
-  G4VViewer* pView =
-    new G4OpenGLImmediateQtViewer
-    ((G4OpenGLImmediateSceneHandler&) scene, name);
-  if (pView) {
-    if (pView -> GetViewId () < 0) {
-      G4cerr << "G4OpenGLImmediateQt::CreateViewer: error flagged by negative"
-	" view id in G4OpenGLImmediateQtViewer creation."
-	"\n Destroying view and returning null pointer."
-	   << G4endl;
-      delete pView;
-      pView = 0;
+    G4VViewer* pView =
+        new G4OpenGLImmediateQtViewer
+        ((G4OpenGLImmediateSceneHandler&) scene, name);
+    if (pView) {
+        if (pView -> GetViewId () < 0) {
+            G4cerr << "G4OpenGLImmediateQt::CreateViewer: error flagged by negative"
+            " view id in G4OpenGLImmediateQtViewer creation."
+            "\n Destroying view and returning null pointer."
+            << G4endl;
+            delete pView;
+            pView = 0;
+        }
+    } else {
+        G4cerr << "G4OpenGLImmediateQt::CreateViewer: null pointer on"
+        " new G4OpenGLImmediateQtViewer." << G4endl;
     }
-  }
-  else {
-    G4cerr << "G4OpenGLImmediateQt::CreateViewer: null pointer on"
-      " new G4OpenGLImmediateQtViewer." << G4endl;
-  }
-   return pView;
+    return pView;
 }
 
Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 537)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 538)
@@ -132,5 +132,9 @@
 {
   printf("G4OpenGLQtViewer::CreateMainWindow \n");
-//   if(fWindow) return; //Done.
+
+  if(fWindow) return; //Done.
+
+  fWindow = new QGLWidget() ;
+  fWindow->makeCurrent();
 
 //   // Bill Gates stuff...