Index: /trunk/geant4/OpenGLQT_exemple/cmt/requirements
===================================================================
--- /trunk/geant4/OpenGLQT_exemple/cmt/requirements	(revision 547)
+++ /trunk/geant4/OpenGLQT_exemple/cmt/requirements	(revision 548)
@@ -6,6 +6,7 @@
 use dld      v2r* Interfaces
 
-document moc moc_glwidget   FROM=../src/glwidget.h TO=../src/moc_glwidget.cpp
-document moc moc_window   FROM=../src/window.h TO=../src/window.cpp
+#document moc moc_glwidget   FROM=../src/glwidget.h TO=../src/moc_glwidget.cpp
+#document moc moc_window   FROM=../src/window.h TO=../src/window.cpp
 
-application glwidget moc_window.cpp moc_glwidget.cpp window.cpp glwidget.cpp main.cpp
+#application glwidget moc_window.cpp moc_glwidget.cpp window.cpp glwidget.cpp main.cpp
+application glwidget window.cpp glwidget.cpp main.cpp
Index: /trunk/geant4/OpenGLQT_exemple/src/glwidget.cpp
===================================================================
--- /trunk/geant4/OpenGLQT_exemple/src/glwidget.cpp	(revision 547)
+++ /trunk/geant4/OpenGLQT_exemple/src/glwidget.cpp	(revision 548)
@@ -34,33 +34,33 @@
  }
 
- void GLWidget::setXRotation(int angle)
- {
-     normalizeAngle(&angle);
-     if (angle != xRot) {
-         xRot = angle;
-         emit xRotationChanged(angle);
-         updateGL();
-     }
- }
-
- void GLWidget::setYRotation(int angle)
- {
-     normalizeAngle(&angle);
-     if (angle != yRot) {
-         yRot = angle;
-         emit yRotationChanged(angle);
-         updateGL();
-     }
- }
-
- void GLWidget::setZRotation(int angle)
- {
-     normalizeAngle(&angle);
-     if (angle != zRot) {
-         zRot = angle;
-         emit zRotationChanged(angle);
-         updateGL();
-     }
- }
+//  void GLWidget::setXRotation(int angle)
+//  {
+//      normalizeAngle(&angle);
+//      if (angle != xRot) {
+//          xRot = angle;
+//          emit xRotationChanged(angle);
+//          updateGL();
+//      }
+//  }
+
+//  void GLWidget::setYRotation(int angle)
+//  {
+//      normalizeAngle(&angle);
+//      if (angle != yRot) {
+//          yRot = angle;
+//          emit yRotationChanged(angle);
+//          updateGL();
+//      }
+//  }
+
+//  void GLWidget::setZRotation(int angle)
+//  {
+//      normalizeAngle(&angle);
+//      if (angle != zRot) {
+//          zRot = angle;
+//          emit zRotationChanged(angle);
+//          updateGL();
+//      }
+//  }
 
  void GLWidget::initializeGL()
@@ -95,23 +95,23 @@
  }
 
- void GLWidget::mousePressEvent(QMouseEvent *event)
- {
-     lastPos = event->pos();
- }
-
- void GLWidget::mouseMoveEvent(QMouseEvent *event)
- {
-     int dx = event->x() - lastPos.x();
-     int dy = event->y() - lastPos.y();
-
-     if (event->buttons() & Qt::LeftButton) {
-         setXRotation(xRot + 8 * dy);
-         setYRotation(yRot + 8 * dx);
-     } else if (event->buttons() & Qt::RightButton) {
-         setXRotation(xRot + 8 * dy);
-         setZRotation(zRot + 8 * dx);
-     }
-     lastPos = event->pos();
- }
+//  void GLWidget::mousePressEvent(QMouseEvent *event)
+//  {
+//      lastPos = event->pos();
+//  }
+
+//  void GLWidget::mouseMoveEvent(QMouseEvent *event)
+//  {
+//      int dx = event->x() - lastPos.x();
+//      int dy = event->y() - lastPos.y();
+
+//      if (event->buttons() & Qt::LeftButton) {
+//          setXRotation(xRot + 8 * dy);
+//          setYRotation(yRot + 8 * dx);
+//      } else if (event->buttons() & Qt::RightButton) {
+//          setXRotation(xRot + 8 * dy);
+//          setZRotation(zRot + 8 * dx);
+//      }
+//      lastPos = event->pos();
+//  }
 
  GLuint GLWidget::makeObject()
Index: /trunk/geant4/OpenGLQT_exemple/src/glwidget.h
===================================================================
--- /trunk/geant4/OpenGLQT_exemple/src/glwidget.h	(revision 547)
+++ /trunk/geant4/OpenGLQT_exemple/src/glwidget.h	(revision 548)
@@ -1,10 +1,10 @@
- #ifndef GLWIDGET_H
- #define GLWIDGET_H
+#ifndef GLWIDGET_H
+#define GLWIDGET_H
 
- #include <QGLWidget>
+#include <QGLWidget>
 
  class GLWidget : public QGLWidget
  {
-     Q_OBJECT
+/*      Q_OBJECT */
 
  public:
@@ -15,13 +15,13 @@
      QSize sizeHint() const;
 
- public slots:
-     void setXRotation(int angle);
-     void setYRotation(int angle);
-     void setZRotation(int angle);
+/*  public slots: */
+/*      void setXRotation(int angle); */
+/*      void setYRotation(int angle); */
+/*      void setZRotation(int angle); */
 
- signals:
-     void xRotationChanged(int angle);
-     void yRotationChanged(int angle);
-     void zRotationChanged(int angle);
+/*  signals: */
+/*      void xRotationChanged(int angle); */
+/*      void yRotationChanged(int angle); */
+/*      void zRotationChanged(int angle); */
 
  protected:
@@ -29,6 +29,6 @@
      void paintGL();
      void resizeGL(int width, int height);
-     void mousePressEvent(QMouseEvent *event);
-     void mouseMoveEvent(QMouseEvent *event);
+/*      void mousePressEvent(QMouseEvent *event); */
+/*      void mouseMoveEvent(QMouseEvent *event); */
 
  private:
Index: /trunk/geant4/OpenGLQT_exemple/src/window.cpp
===================================================================
--- /trunk/geant4/OpenGLQT_exemple/src/window.cpp	(revision 547)
+++ /trunk/geant4/OpenGLQT_exemple/src/window.cpp	(revision 548)
@@ -8,36 +8,36 @@
      glWidget = new GLWidget;
 
-     xSlider = createSlider();
-     ySlider = createSlider();
-     zSlider = createSlider();
+//      xSlider = createSlider();
+//      ySlider = createSlider();
+//      zSlider = createSlider();
 
-     connect(xSlider, SIGNAL(valueChanged(int)), glWidget, SLOT(setXRotation(int)));
-     connect(glWidget, SIGNAL(xRotationChanged(int)), xSlider, SLOT(setValue(int)));
-     connect(ySlider, SIGNAL(valueChanged(int)), glWidget, SLOT(setYRotation(int)));
-     connect(glWidget, SIGNAL(yRotationChanged(int)), ySlider, SLOT(setValue(int)));
-     connect(zSlider, SIGNAL(valueChanged(int)), glWidget, SLOT(setZRotation(int)));
-     connect(glWidget, SIGNAL(zRotationChanged(int)), zSlider, SLOT(setValue(int)));
+//      connect(xSlider, SIGNAL(valueChanged(int)), glWidget, SLOT(setXRotation(int)));
+//      connect(glWidget, SIGNAL(xRotationChanged(int)), xSlider, SLOT(setValue(int)));
+//      connect(ySlider, SIGNAL(valueChanged(int)), glWidget, SLOT(setYRotation(int)));
+//      connect(glWidget, SIGNAL(yRotationChanged(int)), ySlider, SLOT(setValue(int)));
+//      connect(zSlider, SIGNAL(valueChanged(int)), glWidget, SLOT(setZRotation(int)));
+//      connect(glWidget, SIGNAL(zRotationChanged(int)), zSlider, SLOT(setValue(int)));
 
      QHBoxLayout *mainLayout = new QHBoxLayout;
      mainLayout->addWidget(glWidget);
-     mainLayout->addWidget(xSlider);
-     mainLayout->addWidget(ySlider);
-     mainLayout->addWidget(zSlider);
+//      mainLayout->addWidget(xSlider);
+//      mainLayout->addWidget(ySlider);
+//      mainLayout->addWidget(zSlider);
      setLayout(mainLayout);
 
-     xSlider->setValue(15 * 16);
-     ySlider->setValue(345 * 16);
-     zSlider->setValue(0 * 16);
+//      xSlider->setValue(15 * 16);
+//      ySlider->setValue(345 * 16);
+//      zSlider->setValue(0 * 16);
      setWindowTitle(tr("Hello GL"));
  }
 
- QSlider *Window::createSlider()
- {
-     QSlider *slider = new QSlider(Qt::Vertical);
-     slider->setRange(0, 360 * 16);
-     slider->setSingleStep(16);
-     slider->setPageStep(15 * 16);
-     slider->setTickInterval(15 * 16);
-     slider->setTickPosition(QSlider::TicksRight);
-     return slider;
- }
+//  QSlider *Window::createSlider()
+//  {
+//      QSlider *slider = new QSlider(Qt::Vertical);
+//      slider->setRange(0, 360 * 16);
+//      slider->setSingleStep(16);
+//      slider->setPageStep(15 * 16);
+//      slider->setTickInterval(15 * 16);
+//      slider->setTickPosition(QSlider::TicksRight);
+//      return slider;
+//  }
Index: /trunk/geant4/OpenGLQT_exemple/src/window.h
===================================================================
--- /trunk/geant4/OpenGLQT_exemple/src/window.h	(revision 547)
+++ /trunk/geant4/OpenGLQT_exemple/src/window.h	(revision 548)
@@ -9,5 +9,5 @@
  class Window : public QWidget
  {
-     Q_OBJECT
+/*      Q_OBJECT */
 
  public:
@@ -15,10 +15,10 @@
 
  private:
-     QSlider *createSlider();
+/*      QSlider *createSlider(); */
 
      GLWidget *glWidget;
-     QSlider *xSlider;
-     QSlider *ySlider;
-     QSlider *zSlider;
+/*      QSlider *xSlider; */
+/*      QSlider *ySlider; */
+/*      QSlider *zSlider; */
  };
 