Index: trunk/geant4/config/G4UI_BUILD.gmk
===================================================================
--- trunk/geant4/config/G4UI_BUILD.gmk	(revision 592)
+++ trunk/geant4/config/G4UI_BUILD.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: G4UI_BUILD.gmk,v 1.4 2003/10/17 10:17:10 gbarrand Exp $
+# $Id: G4UI_BUILD.gmk,v 1.5 2007/10/03 12:15:05 lgarnier Exp $
 # -------------------------------------------------------------
 # Interfaces-specific CPPFLAGS for BUILD phase.
Index: trunk/geant4/config/G4UI_USE.gmk
===================================================================
--- trunk/geant4/config/G4UI_USE.gmk	(revision 592)
+++ trunk/geant4/config/G4UI_USE.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: G4UI_USE.gmk,v 1.8 2003/10/17 10:17:10 gbarrand Exp $
+# $Id: G4UI_USE.gmk,v 1.9 2007/10/03 12:15:05 lgarnier Exp $
 # -------------------------------------------------------------
 # GNUmakefile for CPPFLAGS for interfaces USE phase.
Index: trunk/geant4/config/G4VIS_BUILD.gmk
===================================================================
--- trunk/geant4/config/G4VIS_BUILD.gmk	(revision 592)
+++ trunk/geant4/config/G4VIS_BUILD.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: G4VIS_BUILD.gmk,v 1.19 2005/10/05 17:35:40 allison Exp $
+# $Id: G4VIS_BUILD.gmk,v 1.20 2007/10/03 12:15:05 lgarnier Exp $
 # -------------------------------------------------------------
 # Visualization-specific CPPFLAGS for BUILD phase.
Index: trunk/geant4/config/G4VIS_USE.gmk
===================================================================
--- trunk/geant4/config/G4VIS_USE.gmk	(revision 592)
+++ trunk/geant4/config/G4VIS_USE.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: G4VIS_USE.gmk,v 1.22 2005/10/05 17:35:40 allison Exp $
+# $Id: G4VIS_USE.gmk,v 1.23 2007/10/03 12:15:05 lgarnier Exp $
 # -------------------------------------------------------------
 # GNUmakefile for CPPFLAGS for visualization USE phase.
Index: trunk/geant4/config/History
===================================================================
--- trunk/geant4/config/History	(revision 592)
+++ trunk/geant4/config/History	(revision 593)
@@ -1,3 +1,3 @@
-$Id: History,v 1.288 2006/11/30 15:47:16 gcosmo Exp $
+$Id: History,v 1.300 2007/08/16 09:34:51 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -16,4 +16,56 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+16th August 2007  Gabriele Cosmo (config-V09-00-04)
+- Corrected definition of OUT internal variable to allow for proper
+  linking also of unit tests.
+
+15th August 2007  Gabriele Cosmo (config-V09-00-03)
+- Added "rpg" hadronic model module to binmake.gmk.
+
+13th August 2007  Gabriele Cosmo (config-V09-00-02)
+- SUN-CC.gmk: forced -xO2 as optimisation level.
+
+18th July 2007  Gabriele Cosmo (config-V09-00-01)
+- liblist.c: fixed problem affecting recent CygWin installations on
+  Windows in parsing the buffer for the generation of libname.map.
+- binmake.gmk: defined OUT internal variable specifying the proper
+  compilation/linking option to Unix or Windows compilers: '-o '
+  and '/Fe' respectively.
+
+11th July 2007  Makoto Asai (config-V09-00-00)
+- Added digits_hits/scorer sub-directory to binmake.gmk.
+
+28th June 2007  Gabriele Cosmo (config-V08-03-04)
+- Updated Configure scripts to fix installation issue when installation
+  path is different from source path and headers are not installed.
+- Cleared <TAB> characters from .gmk scripts where not necessary.
+
+22nd June 2007  Gabriele Cosmo (config-V08-03-03)
+- Corrected binmake.gmk for having error_propagation in INCFLAGS properly
+  included in search path.
+- Updated internal scripts for Configure to cope with new environment
+  variable G4NEUTRONHPDATA.
+
+18th June 2007  Ben Morgan (config-V08-03-02)
+- Fixed Configure internal script to get rid of searching old physics_list
+  module at installation.
+
+27th May 2007  Gabriele Cosmo (config-V08-03-01)
+- Added "lll_fission" hadronic model module to binmake.gmk.
+
+12th May 2007  Gabriele Cosmo (config-V08-03-00)
+- Added "error_propagation" module to binmake.gmk.
+- Removed G4LIB_BUILD_LISTS flag. Physics lists are built by default.
+
+21st March 2007  Gabriele Cosmo
+- Added "biasing" module to binmake.gmk.
+
+28th February 2007  Gabriele Cosmo (config-V08-02-00)
+- Protected generation of dependencies using internal 'make' variable
+  MAKECMDGOALS in binmake.gmk and common.gmk, following suggestion made
+  in problem report #930.
+  This protection resolves the problem of generation of dependencies when
+  issueing the 'clean' target.
 
 3rd November 2006  Gunter Folger (config-V08-01-07)
Index: trunk/geant4/config/architecture.gmk
===================================================================
--- trunk/geant4/config/architecture.gmk	(revision 592)
+++ trunk/geant4/config/architecture.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: architecture.gmk,v 1.107 2006/10/31 11:35:43 gunter Exp $
+# $Id: architecture.gmk,v 1.110 2007/06/28 14:16:55 gcosmo Exp $
 # ------------------------------------------------------------------------
 #       GEANT 4 - Architecture configuration script for GNU Make
@@ -14,9 +14,9 @@
 # the environment variable G4SYSTEM:
 #
-#          Linux-g++   Linux (Red Hat Enterprise/SCL3), gcc-3.2.3 (default)
-#
-#          SUN-CC      SunOS 5.8, CC 5.4
-#
-#          WIN32-VC    Windows/XP and Microsoft Visual C++ 7.1 .NET
+#          Linux-g++   Linux (Red Hat Enterprise/SCL4), gcc-3.4.6 (default)
+#
+#          SUN-CC      SunOS 5.8, CC 5.5
+#
+#          WIN32-VC    Windows/XP and Microsoft Visual C++ 8.0
 #                      Adding CYGWIN32 tools
 # -------------------------------------------------------------------------
@@ -52,5 +52,5 @@
 endif
 G4DUMMY_VARIABLE:=$(shell [ ! -d $(G4TMP) ] && mkdir -p $(G4TMP) )
-	
+
 # If not specified, the default path for G4 libraries G4LIB is
 # set to $G4INSTALL/lib/$G4SYSTEM ...
@@ -111,10 +111,4 @@
   G4LIB_BUILD_ZLIB = 1
   G4LIB_USE_ZLIB = 1
-endif
-
-# Allow to disable building of physics_lists module. Default is to build these
-#
-ifneq ($(G4LIB_BUILD_LISTS),NO)
-  G4LIB_BUILD_LISTS = 1
 endif
 
@@ -305,6 +299,5 @@
   OGLFLAGS:= $(filter-out -I/usr//include,$(OGLFLAGS))
 endif
-	
-	
+
 # If there is no cbrt() function...
 #
Index: trunk/geant4/config/binmake.gmk
===================================================================
--- trunk/geant4/config/binmake.gmk	(revision 592)
+++ trunk/geant4/config/binmake.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: binmake.gmk,v 1.116 2006/11/08 16:52:19 gunter Exp $
+# $Id: binmake.gmk,v 1.129 2007/08/16 09:46:02 gcosmo Exp $
 # ----------------------------------------------------------
 # Script defining rules and paths for making binaries.
@@ -61,8 +61,9 @@
               -I$(G4BASE)/particles/hadrons/mesons/include \
               -I$(G4BASE)/particles/shortlived/include \
-	      -I$(G4BASE)/physics_lists/lists/include \
-	      -I$(G4BASE)/physics_lists/builders/include \
+              -I$(G4BASE)/physics_lists/lists/include \
+              -I$(G4BASE)/physics_lists/builders/include \
               -I$(G4BASE)/processes/management/include \
               -I$(G4BASE)/processes/cuts/include \
+              -I$(G4BASE)/processes/biasing/include \
               -I$(G4BASE)/processes/scoring/include \
               -I$(G4BASE)/processes/decay/include \
@@ -78,17 +79,17 @@
               -I$(G4BASE)/processes/electromagnetic/polarisation/include \
               -I$(G4BASE)/processes/hadronic/cross_sections/include \
-	      -I$(G4BASE)/processes/hadronic/management/include \
-	      -I$(G4BASE)/processes/hadronic/models/abrasion/include \
+              -I$(G4BASE)/processes/hadronic/management/include \
+              -I$(G4BASE)/processes/hadronic/models/abrasion/include \
               -I$(G4BASE)/processes/hadronic/models/binary_cascade/include \
-	      -I$(G4BASE)/processes/hadronic/models/cascade/cascade/include \
-	      -I$(G4BASE)/processes/hadronic/models/cascade/evaporation/include \
-	      -I$(G4BASE)/processes/hadronic/models/cascade/utils/include \
+              -I$(G4BASE)/processes/hadronic/models/cascade/cascade/include \
+              -I$(G4BASE)/processes/hadronic/models/cascade/evaporation/include \
+              -I$(G4BASE)/processes/hadronic/models/cascade/utils/include \
               -I$(G4BASE)/processes/hadronic/models/chiral_inv_phase_space/body/include \
               -I$(G4BASE)/processes/hadronic/models/chiral_inv_phase_space/interface/include \
               -I$(G4BASE)/processes/hadronic/models/coherent_elastic/include \
-	      -I$(G4BASE)/processes/hadronic/models/de_excitation/ablation/include \
+              -I$(G4BASE)/processes/hadronic/models/de_excitation/ablation/include \
               -I$(G4BASE)/processes/hadronic/models/de_excitation/evaporation/include \
               -I$(G4BASE)/processes/hadronic/models/de_excitation/fermi_breakup/include \
-	      -I$(G4BASE)/processes/hadronic/models/de_excitation/fission/include \
+              -I$(G4BASE)/processes/hadronic/models/de_excitation/fission/include \
               -I$(G4BASE)/processes/hadronic/models/de_excitation/gem_evaporation/include \
               -I$(G4BASE)/processes/hadronic/models/de_excitation/handler/include \
@@ -104,4 +105,5 @@
               -I$(G4BASE)/processes/hadronic/models/isotope_production/include \
               -I$(G4BASE)/processes/hadronic/models/leading_particle/include \
+              -I$(G4BASE)/processes/hadronic/models/lll_fission/include \
               -I$(G4BASE)/processes/hadronic/models/low_energy/include \
               -I$(G4BASE)/processes/hadronic/models/management/include \
@@ -118,4 +120,5 @@
               -I$(G4BASE)/processes/hadronic/models/relativistic_qmd/include \
               -I$(G4BASE)/processes/hadronic/models/relativistic_qmd/uplusplus/include \
+              -I$(G4BASE)/processes/hadronic/models/rpg/include \
               -I$(G4BASE)/processes/hadronic/models/theo_high_energy/include \
               -I$(G4BASE)/processes/hadronic/models/util/include \
@@ -138,8 +141,10 @@
               -I$(G4BASE)/digits_hits/hits/include \
               -I$(G4BASE)/digits_hits/digits/include \
+              -I$(G4BASE)/digits_hits/scorer/include \
               -I$(G4BASE)/digits_hits/utils/include \
               -I$(G4BASE)/persistency/include \
               -I$(G4BASE)/readout/include \
               -I$(G4BASE)/event/include \
+              -I$(G4BASE)/error_propagation/include \
               -I$(G4BASE)/graphics_reps/include \
               -I$(G4BASE)/intercoms/include
@@ -207,14 +212,11 @@
   endif
 
-  LDLIBS2 += -lG4readout
-
-  ifeq ($(G4LIB_BUILD_LISTS),1)
-    LDLIBS2 += -lG4physicslists
-  endif
-    
-  LDLIBS2 += -lG4run \
+  LDLIBS2 += -lG4error_propagation \
+             -lG4readout \
+             -lG4physicslists \
+             -lG4run \
              -lG4event \
              -lG4tracking \
-	     -lG4parmodels \
+             -lG4parmodels \
              -lG4processes \
              -lG4digits_hits \
@@ -232,17 +234,17 @@
     LDLIBS2 = $(shell \
         G4TMP=$(G4TMP); export G4TMP; \
-	if [ \( -f $(G4LIB)/$(G4SYSTEM)/liblist \
-	  -a -f $(G4LIB)/$(G4SYSTEM)/libname.map \) ]; then \
-	$(G4LIB)/$(G4SYSTEM)/liblist \
-	  -m $(G4LIB)/$(G4SYSTEM) \
-	  < $(G4LIB)/$(G4SYSTEM)/libname.map; fi)
+        if [ \( -f $(G4LIB)/$(G4SYSTEM)/liblist \
+          -a -f $(G4LIB)/$(G4SYSTEM)/libname.map \) ]; then \
+        $(G4LIB)/$(G4SYSTEM)/liblist \
+          -m $(G4LIB)/$(G4SYSTEM) \
+          < $(G4LIB)/$(G4SYSTEM)/libname.map; fi)
   else
     LDLIBS2 = $(shell \
         G4TMP=$(G4TMP); export G4TMP; \
-	if [ \( -f $(G4LIB)/$(G4SYSTEM)/liblist \
-	  -a -f $(G4LIB)/$(G4SYSTEM)/libname.map \) ]; then \
-	$(G4LIB)/$(G4SYSTEM)/liblist \
-	  -d $(G4TMPDIR) \
-	  < $(G4LIB)/$(G4SYSTEM)/libname.map; fi)
+        if [ \( -f $(G4LIB)/$(G4SYSTEM)/liblist \
+          -a -f $(G4LIB)/$(G4SYSTEM)/libname.map \) ]; then \
+        $(G4LIB)/$(G4SYSTEM)/liblist \
+          -d $(G4TMPDIR) \
+          < $(G4LIB)/$(G4SYSTEM)/libname.map; fi)
 # Warning: do not add to LDLIBS2 with += because this causes it to be
 # expanded too soon.  Hence extra libraries must have a different name...
@@ -283,4 +285,5 @@
 
 ifneq (,$(findstring WIN32-VC,$(G4SYSTEM)))
+  # Windows
   WIN32TMP := $(patsubst -L%,$(LIB_PATH)%,$(LDFLAGS))
   LDFLAGS  = $(patsubst /,$(PATH_DEL),$(WIN32TMP))
@@ -292,11 +295,14 @@
         LDLIBS = $(TARGETLIB) $(patsubst -l%,lib%.a,$(WIN32TMP3)) $(patsubst -l%,lib%.lib,$(WIN32TMP4))
     else
-	LDLIBS = $(TARGETLIB) $(patsubst -l%,lib%.lib,$(WIN32TMP2))
+        LDLIBS = $(TARGETLIB) $(patsubst -l%,lib%.lib,$(WIN32TMP2))
     endif
   else
-  	LDLIBS = $(TARGETLIB) $(patsubst -l%,lib%.a,$(WIN32TMP2))
-  endif
-else
+    LDLIBS = $(TARGETLIB) $(patsubst -l%,lib%.a,$(WIN32TMP2))
+  endif
+  OUT   := /Fe
+else
+  # Unix
   LDLIBS = $(TARGETLIB) $(LDLIBS_PREFINAL)
+  OUT   := -o 
 endif
 
@@ -305,5 +311,5 @@
 include $(G4INSTALL)/config/sys/$(G4SYSTEM)-runpath.gmk
 endif
-	
+
 sources := $(wildcard $(G4TARGET).cc)
 objects := $(patsubst %.cc,$(G4TMPDIR)/exe/%.$(TARGOBJEXT),$(sources))
@@ -340,10 +346,10 @@
 ifdef CPPVERBOSE
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) \
-	  -o $(G4BINDIR)/$(G4TARGET) $(objects) $(LDFLAGS) \
+	  $(OUT)$(G4BINDIR)/$(G4TARGET) $(objects) $(LDFLAGS) \
 	  $(LDLIBS)
 else
 	@echo Linking $(G4TARGET) ...
 	@$(CXX) $(CXXFLAGS) $(CPPFLAGS) \
-	  -o $(G4BINDIR)/$(G4TARGET) $(objects) $(LDFLAGS) \
+	  $(OUT)$(G4BINDIR)/$(G4TARGET) $(objects) $(LDFLAGS) \
 	  $(LDLIBS)
 	@if [ \( -f $(G4BINDIR)/$(G4TARGET) \) ]; then \
@@ -402,5 +408,7 @@
 	[ -s $@ ] || rm -f $@
 ifneq ($(dependencies),)
+ifneq ($(MAKECMDGOALS),clean)
 -include $(dependencies)
+endif
 endif
 
Index: trunk/geant4/config/common.gmk
===================================================================
--- trunk/geant4/config/common.gmk	(revision 592)
+++ trunk/geant4/config/common.gmk	(revision 593)
@@ -1,3 +1,3 @@
-# $Id: common.gmk,v 1.41 2005/12/07 09:41:54 gcosmo Exp $
+# $Id: common.gmk,v 1.43 2007/06/28 14:33:38 gcosmo Exp $
 # ----------------------------------------------------------------
 # Common part of GNUmakefile for libraries.  John Allison, 5/7/95.
@@ -111,5 +111,7 @@
 	[ -s $@ ] || rm -f $@
 ifneq ($(dependencies),)
+ifneq ($(MAKECMDGOALS),clean)
 -include $(dependencies)
+endif
 endif
 
@@ -122,8 +124,8 @@
 # NOTE: the double colon rule allows to add other rules for the same target
 #
-includes::	$(installed_includes)
+includes:: $(installed_includes)
 
 # Static Pattern rules, see GNU make manual for details.
-#           target(s): target-pattern : dep-pattern	
+#           target(s): target-pattern : dep-pattern
 #
 $(installed_includes): $(G4INCLUDE)/% : include/%
Index: trunk/geant4/config/liblist.c
===================================================================
--- trunk/geant4/config/liblist.c	(revision 592)
+++ trunk/geant4/config/liblist.c	(revision 593)
@@ -1,3 +1,3 @@
-/* $Id: liblist.c,v 1.18 2006/10/05 14:22:06 gcosmo Exp $ */
+/* $Id: liblist.c,v 1.19 2007/07/18 14:21:15 gcosmo Exp $ */
 
 /*
@@ -304,5 +304,4 @@
 #if defined ( _WIN32 ) || defined ( __CYGWIN__ ) || defined ( __CYGWIN32__ )
       ptr=strchr(ntg4tmp1,':');
-      if ( ptr ) *(ptr+1)='\0';
 
       while ( ptr=strchr(buffer,'\\') ) *ptr='/';
Index: trunk/geant4/config/scripts/env.csh.SH
===================================================================
--- trunk/geant4/config/scripts/env.csh.SH	(revision 592)
+++ trunk/geant4/config/scripts/env.csh.SH	(revision 593)
@@ -38,5 +38,5 @@
 unsetenv  G4LEDATA
 unsetenv  G4LEVELGAMMADATA
-unsetenv  NeutronHPCrossSections
+unsetenv  G4NEUTRONHPDATA
 unsetenv  G4RADIOACTIVEDATA
 
@@ -141,6 +141,6 @@
 #+
 if ( X$g4neutronhpcrosssections != X ) then
-setenv NeutronHPCrossSections "$g4neutronhpcrosssections"
-echo "On this machine the NeutronHPCrossSections=\$NeutronHPCrossSections"
+setenv G4NEUTRONHPDATA "$g4neutronhpcrosssections"
+echo "On this machine the G4NEUTRONHPDATA=\$G4NEUTRONHPDATA"
 endif
 
Index: trunk/geant4/config/scripts/env.sh.SH
===================================================================
--- trunk/geant4/config/scripts/env.sh.SH	(revision 592)
+++ trunk/geant4/config/scripts/env.sh.SH	(revision 593)
@@ -38,5 +38,5 @@
 unset  G4LEDATA
 unset  G4LEVELGAMMADATA
-unset  NeutronHPCrossSections
+unset  G4NEUTRONHPDATA
 unset  G4RADIOACTIVEDATA
 
@@ -164,8 +164,8 @@
 #+
 if [ X$g4neutronhpcrosssections != X ] ; then 
-NeutronHPCrossSections="$g4neutronhpcrosssections"
-export NeutronHPCrossSections
-if [ X\$g4non_display = X ] ; then
-echo "On this machine the NeutronHPCrossSections=\$NeutronHPCrossSections"
+G4NEUTRONHPDATA="$g4neutronhpcrosssections"
+export G4NEUTRONHPDATA
+if [ X\$g4non_display = X ] ; then
+echo "On this machine the G4NEUTRONHPDATA=\$G4NEUTRONHPDATA"
 fi
 fi
@@ -618,5 +618,5 @@
 if [ $G4WORKDIR ] ; then
 
-if [ X$g4non_display = X ] ; then
+if [ X\$g4non_display = X ] ; then
 echo "In your environment you have the G4WORKDIR=$G4WORKDIR"
 fi
@@ -627,5 +627,5 @@
 if test "X$G4SYSTEM" = "XWIN32-VC" -o "X$G4SYSTEM" = "XWIN32-VC7"; then
 
-if [ X$g4non_display = X ] ; then
+if [ X\$g4non_display = X ] ; then
 echo "G4WORKDIR will be set to c:/geant4 (in "native" Windows syntax)"
 fi
@@ -636,5 +636,5 @@
 else # if Unix
 
-if [ X$g4non_display = X ] ; then
+if [ X\$g4non_display = X ] ; then
 echo "G4WORKDIR will be set to HOME/geant4=$HOME/geant4"
 fi
@@ -657,5 +657,4 @@
 # Warning about LD_LIBRARY_PATH
 #
-if [ X$g4non_display = X ] ; then
 echo ''
 echo 'LD_LIBRARY_PATH is set to include CLHEP and Geant4 libraries. '
@@ -667,5 +666,4 @@
 echo 'present in your system !'
 echo ''
-fi
 
 if [ $LD_LIBRARY_PATH ] ; then
Index: trunk/geant4/config/scripts/install.sh.SH
===================================================================
--- trunk/geant4/config/scripts/install.sh.SH	(revision 592)
+++ trunk/geant4/config/scripts/install.sh.SH	(revision 593)
@@ -38,5 +38,5 @@
 unset  G4LEDATA
 unset  G4LEVELGAMMADATA
-unset  NeutronHPCrossSections
+unset  G4NEUTRONHPDATA
 unset  G4RADIOACTIVEDATA
 
@@ -145,7 +145,7 @@
 #+
 if [ X$g4neutronhpcrosssections != X ] ; then 
-NeutronHPCrossSections="$g4neutronhpcrosssections"
-export NeutronHPCrossSections
-echo "On this machine the NeutronHPCrossSections=\$NeutronHPCrossSections"
+G4NEUTRONHPDATA="$g4neutronhpcrosssections"
+export G4NEUTRONHPDATA
+echo "On this machine the G4NEUTRONHPDATA=\$G4NEUTRONHPDATA"
 fi
 
Index: trunk/geant4/config/scripts/move.sh.SH
===================================================================
--- trunk/geant4/config/scripts/move.sh.SH	(revision 592)
+++ trunk/geant4/config/scripts/move.sh.SH	(revision 593)
@@ -90,7 +90,7 @@
 #+
 if [ X$g4neutronhpcrosssections != X ] ; then 
-NeutronHPCrossSections="$g4neutronhpcrosssections"
-export NeutronHPCrossSections
-echo "On this machine the NeutronHPCrossSections=\$NeutronHPCrossSections"
+G4NEUTRONHPDATA="$g4neutronhpcrosssections"
+export G4NEUTRONHPDATA
+echo "On this machine the G4NEUTRONHPDATA=\$G4NEUTRONHPDATA"
 fi
 
@@ -385,5 +385,5 @@
 echo ""
 mkdir -p $g4final_install/src/geant4/
-tar cf - Configure config/ source/ environments/ physics_lists/ examples/ |(cd $g4final_install/src/geant4/; tar xf -)
+tar cf - Configure config/ source/ environments/ examples/ include/ |(cd $g4final_install/src/geant4/; tar xf -)
 fi
 fi
@@ -399,5 +399,5 @@
 
 mkdir -p $g4final_install/src/geant4/
-tar cf - Configure config/ source/ environments/ physics_lists/ examples/ |(cd $g4final_install/src/geant4/; tar xf -)
+tar cf - Configure config/ source/ environments/ examples/ |(cd $g4final_install/src/geant4/; tar xf -)
 fi
 
Index: trunk/geant4/config/sys/Darwin-g++.gmk
===================================================================
--- trunk/geant4/config/sys/Darwin-g++.gmk	(revision 592)
+++ trunk/geant4/config/sys/Darwin-g++.gmk	(revision 593)
@@ -43,17 +43,23 @@
 #   XMFLAGS   := -I/usr/X11R6/include          ##### some installations.
   endif
-  ifndef QTFLAGS
-    QTHOME    := /usr/local/Qt/4.2.2
-#    QTFLAGS   := -I$(QTHOME)/lib/QtCore.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtGui.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtOpenGL.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtSql.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtXml.framework/Versions/Current/Headers -F$(QTHOME)/lib
-    QTFLAGS   := -I$(QTHOME)/include/Qt -F$(QTHOME)/lib
-    MOC       := $(QTHOME)/bin/moc
-  endif
   ifndef XMLIBS
     XMLIBS    := -L/sw/lib -lXm -lXpm
 #   XMLIBS    := -L/usr/X11R6/lib -lXm -lXpm   ##### some installations.
   endif
+  ifndef QTHOME
+    QTHOME  := /sw
+  endif
+  ifndef QTFLAGS
+    QTFLAGS   := -I$(QTHOME)/include
+    QTFLAGS   += -I$(QTHOME)/lib/QtCore.framework/Versions/Current/Headers
+    QTFLAFS   += -I$(QTHOME)/lib/QtGui.framework/Versions/Current/Headers
+    QTFLAGS   += -I$(QTHOME)/lib/QtOpenGL.framework/Versions/Current/Headers
+    QTFLAGS   += -I$(QTHOME)/lib/QtSql.framework/Versions/Current/Headers
+    QTFLAGS   += -I$(QTHOME)/lib/QtXml.framework/Versions/Current/Headers
+    MOC       := $(QTHOME)/bin/moc
+  endif
   ifndef QTLIBS
-    QTHOME    := /usr/local/Qt/4.2.2
-    QTLIBS    := -F$(QTHOME)/lib -framework QtCore -framework QtGui -framework QtOpenGL -framework QtSql -framework QtXml
+    QTLIBS    := -F$(QTHOME)/lib -framework QtCore -framework QtGui
+    QTLIBS    += -framework QtOpenGL -framework QtSql -framework QtXml
   endif
   ifndef XAWFLAGS
Index: trunk/geant4/config/sys/SUN-CC.gmk
===================================================================
--- trunk/geant4/config/sys/SUN-CC.gmk	(revision 592)
+++ trunk/geant4/config/sys/SUN-CC.gmk	(revision 593)
@@ -5,5 +5,5 @@
   CXX       := CC
   ifdef G4OPTIMISE
-    CXXFLAGS  := -O
+    CXXFLAGS  := -xO2
   else
     ifdef G4DEBUG