Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog_moc.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog_moc.cc	(revision 594)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog_moc.cc	(revision 594)
@@ -0,0 +1,75 @@
+/****************************************************************************
+** Meta object code from reading C++ file 'G4OpenGLQtExportDialog.hh'
+**
+** Created: Fri Sep 28 12:35:41 2007
+**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
+**
+** WARNING! All changes made in this file will be lost!
+*****************************************************************************/
+
+#include "../include/G4OpenGLQtExportDialog.hh"
+#if !defined(Q_MOC_OUTPUT_REVISION)
+#error "The header file 'G4OpenGLQtExportDialog.hh' doesn't include <QObject>."
+#elif Q_MOC_OUTPUT_REVISION != 59
+#error "This file was generated using the moc from 4.2.2. It"
+#error "cannot be used with the include files from this version of Qt."
+#error "(The moc has changed too much.)"
+#endif
+
+static const uint qt_meta_data_G4OpenGLQtExportDialog[] = {
+
+ // content:
+       1,       // revision
+       0,       // classname
+       0,    0, // classinfo
+       3,   10, // methods
+       0,    0, // properties
+       0,    0, // enums/sets
+
+ // slots: signature, parameters, type, tag, flags
+      23,   43,   43,   43, 0x0a,
+      44,   43,   43,   43, 0x0a,
+      70,   43,   43,   43, 0x0a,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_G4OpenGLQtExportDialog[] = {
+    "G4OpenGLQtExportDialog\0changeSizeBox(bool)\0"
+    "\0textWidthChanged(QString)\0"
+    "textHeightChanged(QString)\0"
+};
+
+const QMetaObject G4OpenGLQtExportDialog::staticMetaObject = {
+    { &QDialog::staticMetaObject, qt_meta_stringdata_G4OpenGLQtExportDialog,
+      qt_meta_data_G4OpenGLQtExportDialog, 0 }
+};
+
+const QMetaObject *G4OpenGLQtExportDialog::metaObject() const
+{
+    return &staticMetaObject;
+}
+
+void *G4OpenGLQtExportDialog::qt_metacast(const char *_clname)
+{
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_G4OpenGLQtExportDialog))
+	return static_cast<void*>(const_cast<G4OpenGLQtExportDialog*>(this));
+    return QDialog::qt_metacast(_clname);
+}
+
+int G4OpenGLQtExportDialog::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
+{
+    _id = QDialog::qt_metacall(_c, _id, _a);
+    if (_id < 0)
+        return _id;
+    if (_c == QMetaObject::InvokeMetaMethod) {
+        switch (_id) {
+        case 0: changeSizeBox((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 1: textWidthChanged((*reinterpret_cast< const QString(*)>(_a[1]))); break;
+        case 2: textHeightChanged((*reinterpret_cast< const QString(*)>(_a[1]))); break;
+        }
+        _id -= 3;
+    }
+    return _id;
+}
Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer_moc.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer_moc.cc	(revision 594)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer_moc.cc	(revision 594)
@@ -0,0 +1,114 @@
+/****************************************************************************
+** Meta object code from reading C++ file 'G4OpenGLQtViewer.hh'
+**
+** Created: Tue Sep 18 17:43:43 2007
+**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
+**
+** WARNING! All changes made in this file will be lost!
+*****************************************************************************/
+
+#include "../include/G4OpenGLQtViewer.hh"
+#if !defined(Q_MOC_OUTPUT_REVISION)
+#error "The header file 'G4OpenGLQtViewer.hh' doesn't include <QObject>."
+#elif Q_MOC_OUTPUT_REVISION != 59
+#error "This file was generated using the moc from 4.2.2. It"
+#error "cannot be used with the include files from this version of Qt."
+#error "(The moc has changed too much.)"
+#endif
+
+static const uint qt_meta_data_G4OpenGLQtViewer[] = {
+
+ // content:
+       1,       // revision
+       0,       // classname
+       0,    0, // classinfo
+      17,   10, // methods
+       0,    0, // properties
+       0,    0, // enums/sets
+
+ // slots: signature, parameters, type, tag, flags
+      17,   42,   42,   42, 0x08,
+      43,   42,   42,   42, 0x08,
+      70,   42,   42,   42, 0x08,
+     100,   42,   42,   42, 0x08,
+     134,   42,   42,   42, 0x08,
+     156,   42,   42,   42, 0x08,
+     171,   42,   42,   42, 0x08,
+     189,   42,   42,   42, 0x08,
+     214,   42,   42,   42, 0x08,
+     238,   42,   42,   42, 0x08,
+     265,   42,   42,   42, 0x08,
+     288,   42,   42,   42, 0x08,
+     313,   42,   42,   42, 0x08,
+     338,   42,   42,   42, 0x08,
+     358,   42,   42,   42, 0x08,
+     374,   42,   42,   42, 0x08,
+     397,   42,   42,   42, 0x08,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_G4OpenGLQtViewer[] = {
+    "G4OpenGLQtViewer\0actionDrawingWireframe()\0"
+    "\0actionDrawingLineRemoval()\0"
+    "actionDrawingSurfaceRemoval()\0"
+    "actionDrawingLineSurfaceRemoval()\0"
+    "actionControlPanels()\0actionExitG4()\0"
+    "actionCreateEPS()\0toggleDrawingAction(int)\0"
+    "toggleMouseAction(bool)\0"
+    "toggleRepresentation(bool)\0"
+    "toggleBackground(bool)\0toggleTransparency(bool)\0"
+    "toggleAntialiasing(bool)\0toggleHaloing(bool)\0"
+    "toggleAux(bool)\0toggleFullScreen(bool)\0"
+    "dialogClosed()\0"
+};
+
+const QMetaObject G4OpenGLQtViewer::staticMetaObject = {
+    { &QObject::staticMetaObject, qt_meta_stringdata_G4OpenGLQtViewer,
+      qt_meta_data_G4OpenGLQtViewer, 0 }
+};
+
+const QMetaObject *G4OpenGLQtViewer::metaObject() const
+{
+    return &staticMetaObject;
+}
+
+void *G4OpenGLQtViewer::qt_metacast(const char *_clname)
+{
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_G4OpenGLQtViewer))
+	return static_cast<void*>(const_cast<G4OpenGLQtViewer*>(this));
+    if (!strcmp(_clname, "G4OpenGLViewer"))
+	return static_cast<G4OpenGLViewer*>(const_cast<G4OpenGLQtViewer*>(this));
+    return QObject::qt_metacast(_clname);
+}
+
+int G4OpenGLQtViewer::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
+{
+    _id = QObject::qt_metacall(_c, _id, _a);
+    if (_id < 0)
+        return _id;
+    if (_c == QMetaObject::InvokeMetaMethod) {
+        switch (_id) {
+        case 0: actionDrawingWireframe(); break;
+        case 1: actionDrawingLineRemoval(); break;
+        case 2: actionDrawingSurfaceRemoval(); break;
+        case 3: actionDrawingLineSurfaceRemoval(); break;
+        case 4: actionControlPanels(); break;
+        case 5: actionExitG4(); break;
+        case 6: actionCreateEPS(); break;
+        case 7: toggleDrawingAction((*reinterpret_cast< int(*)>(_a[1]))); break;
+        case 8: toggleMouseAction((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 9: toggleRepresentation((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 10: toggleBackground((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 11: toggleTransparency((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 12: toggleAntialiasing((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 13: toggleHaloing((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 14: toggleAux((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 15: toggleFullScreen((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 16: dialogClosed(); break;
+        }
+        _id -= 17;
+    }
+    return _id;
+}
Index: unk/geant4/visualization/OpenGL/src/moc_G4OpenGLQtExportDialog.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/moc_G4OpenGLQtExportDialog.cc	(revision 593)
+++ 	(revision )
@@ -1,97 +1,0 @@
-/****************************************************************************
-** Meta object code from reading C++ file 'G4OpenGLQtExportDialog.hh'
-**
-** Created: Tue Sep 25 18:22:19 2007
-**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
-**
-** WARNING! All changes made in this file will be lost!
-*****************************************************************************/
-
-#include "../include/G4OpenGLQtExportDialog.hh"
-#if !defined(Q_MOC_OUTPUT_REVISION)
-#error "The header file 'G4OpenGLQtExportDialog.hh' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 59
-#error "This file was generated using the moc from 4.2.2. It"
-#error "cannot be used with the include files from this version of Qt."
-#error "(The moc has changed too much.)"
-#endif
-
-static const uint qt_meta_data_G4OpenGLQtExportDialog[] = {
-
- // content:
-       1,       // revision
-       0,       // classname
-       0,    0, // classinfo
-       5,   10, // methods
-       0,    0, // properties
-       0,    0, // enums/sets
-
- // signals: signature, parameters, type, tag, flags
-      23,   57,   61,   61, 0x05,
-      62,   57,   61,   61, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      98,   61,   61,   61, 0x0a,
-     118,   61,   61,   61, 0x0a,
-     144,   61,   61,   61, 0x0a,
-
-       0        // eod
-};
-
-static const char qt_meta_stringdata_G4OpenGLQtExportDialog[] = {
-    "G4OpenGLQtExportDialog\0"
-    "options(QString,QString,int,bool)\0,,,\0"
-    "\0exportAll(QString,QString,int,bool)\0"
-    "changeSizeBox(bool)\0textWidthChanged(QString)\0"
-    "textHeightChanged(QString)\0"
-};
-
-const QMetaObject G4OpenGLQtExportDialog::staticMetaObject = {
-    { &QDialog::staticMetaObject, qt_meta_stringdata_G4OpenGLQtExportDialog,
-      qt_meta_data_G4OpenGLQtExportDialog, 0 }
-};
-
-const QMetaObject *G4OpenGLQtExportDialog::metaObject() const
-{
-    return &staticMetaObject;
-}
-
-void *G4OpenGLQtExportDialog::qt_metacast(const char *_clname)
-{
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_G4OpenGLQtExportDialog))
-	return static_cast<void*>(const_cast<G4OpenGLQtExportDialog*>(this));
-    return QDialog::qt_metacast(_clname);
-}
-
-int G4OpenGLQtExportDialog::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
-{
-    _id = QDialog::qt_metacall(_c, _id, _a);
-    if (_id < 0)
-        return _id;
-    if (_c == QMetaObject::InvokeMetaMethod) {
-        switch (_id) {
-        case 0: options((*reinterpret_cast< const QString(*)>(_a[1])),(*reinterpret_cast< const QString(*)>(_a[2])),(*reinterpret_cast< int(*)>(_a[3])),(*reinterpret_cast< bool(*)>(_a[4]))); break;
-        case 1: exportAll((*reinterpret_cast< const QString(*)>(_a[1])),(*reinterpret_cast< const QString(*)>(_a[2])),(*reinterpret_cast< int(*)>(_a[3])),(*reinterpret_cast< bool(*)>(_a[4]))); break;
-        case 2: changeSizeBox((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 3: textWidthChanged((*reinterpret_cast< const QString(*)>(_a[1]))); break;
-        case 4: textHeightChanged((*reinterpret_cast< const QString(*)>(_a[1]))); break;
-        }
-        _id -= 5;
-    }
-    return _id;
-}
-
-// SIGNAL 0
-void G4OpenGLQtExportDialog::options(const QString & _t1, const QString & _t2, int _t3, bool _t4)
-{
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)), const_cast<void*>(reinterpret_cast<const void*>(&_t3)), const_cast<void*>(reinterpret_cast<const void*>(&_t4)) };
-    QMetaObject::activate(this, &staticMetaObject, 0, _a);
-}
-
-// SIGNAL 1
-void G4OpenGLQtExportDialog::exportAll(const QString & _t1, const QString & _t2, int _t3, bool _t4)
-{
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)), const_cast<void*>(reinterpret_cast<const void*>(&_t3)), const_cast<void*>(reinterpret_cast<const void*>(&_t4)) };
-    QMetaObject::activate(this, &staticMetaObject, 1, _a);
-}
Index: unk/geant4/visualization/OpenGL/src/moc_G4OpenGLQtViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/moc_G4OpenGLQtViewer.cc	(revision 593)
+++ 	(revision )
@@ -1,114 +1,0 @@
-/****************************************************************************
-** Meta object code from reading C++ file 'G4OpenGLQtViewer.hh'
-**
-** Created: Tue Sep 18 17:43:43 2007
-**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
-**
-** WARNING! All changes made in this file will be lost!
-*****************************************************************************/
-
-#include "../include/G4OpenGLQtViewer.hh"
-#if !defined(Q_MOC_OUTPUT_REVISION)
-#error "The header file 'G4OpenGLQtViewer.hh' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 59
-#error "This file was generated using the moc from 4.2.2. It"
-#error "cannot be used with the include files from this version of Qt."
-#error "(The moc has changed too much.)"
-#endif
-
-static const uint qt_meta_data_G4OpenGLQtViewer[] = {
-
- // content:
-       1,       // revision
-       0,       // classname
-       0,    0, // classinfo
-      17,   10, // methods
-       0,    0, // properties
-       0,    0, // enums/sets
-
- // slots: signature, parameters, type, tag, flags
-      17,   42,   42,   42, 0x08,
-      43,   42,   42,   42, 0x08,
-      70,   42,   42,   42, 0x08,
-     100,   42,   42,   42, 0x08,
-     134,   42,   42,   42, 0x08,
-     156,   42,   42,   42, 0x08,
-     171,   42,   42,   42, 0x08,
-     189,   42,   42,   42, 0x08,
-     214,   42,   42,   42, 0x08,
-     238,   42,   42,   42, 0x08,
-     265,   42,   42,   42, 0x08,
-     288,   42,   42,   42, 0x08,
-     313,   42,   42,   42, 0x08,
-     338,   42,   42,   42, 0x08,
-     358,   42,   42,   42, 0x08,
-     374,   42,   42,   42, 0x08,
-     397,   42,   42,   42, 0x08,
-
-       0        // eod
-};
-
-static const char qt_meta_stringdata_G4OpenGLQtViewer[] = {
-    "G4OpenGLQtViewer\0actionDrawingWireframe()\0"
-    "\0actionDrawingLineRemoval()\0"
-    "actionDrawingSurfaceRemoval()\0"
-    "actionDrawingLineSurfaceRemoval()\0"
-    "actionControlPanels()\0actionExitG4()\0"
-    "actionCreateEPS()\0toggleDrawingAction(int)\0"
-    "toggleMouseAction(bool)\0"
-    "toggleRepresentation(bool)\0"
-    "toggleBackground(bool)\0toggleTransparency(bool)\0"
-    "toggleAntialiasing(bool)\0toggleHaloing(bool)\0"
-    "toggleAux(bool)\0toggleFullScreen(bool)\0"
-    "dialogClosed()\0"
-};
-
-const QMetaObject G4OpenGLQtViewer::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_G4OpenGLQtViewer,
-      qt_meta_data_G4OpenGLQtViewer, 0 }
-};
-
-const QMetaObject *G4OpenGLQtViewer::metaObject() const
-{
-    return &staticMetaObject;
-}
-
-void *G4OpenGLQtViewer::qt_metacast(const char *_clname)
-{
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_G4OpenGLQtViewer))
-	return static_cast<void*>(const_cast<G4OpenGLQtViewer*>(this));
-    if (!strcmp(_clname, "G4OpenGLViewer"))
-	return static_cast<G4OpenGLViewer*>(const_cast<G4OpenGLQtViewer*>(this));
-    return QObject::qt_metacast(_clname);
-}
-
-int G4OpenGLQtViewer::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
-{
-    _id = QObject::qt_metacall(_c, _id, _a);
-    if (_id < 0)
-        return _id;
-    if (_c == QMetaObject::InvokeMetaMethod) {
-        switch (_id) {
-        case 0: actionDrawingWireframe(); break;
-        case 1: actionDrawingLineRemoval(); break;
-        case 2: actionDrawingSurfaceRemoval(); break;
-        case 3: actionDrawingLineSurfaceRemoval(); break;
-        case 4: actionControlPanels(); break;
-        case 5: actionExitG4(); break;
-        case 6: actionCreateEPS(); break;
-        case 7: toggleDrawingAction((*reinterpret_cast< int(*)>(_a[1]))); break;
-        case 8: toggleMouseAction((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 9: toggleRepresentation((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 10: toggleBackground((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 11: toggleTransparency((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 12: toggleAntialiasing((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 13: toggleHaloing((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 14: toggleAux((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 15: toggleFullScreen((*reinterpret_cast< bool(*)>(_a[1]))); break;
-        case 16: dialogClosed(); break;
-        }
-        _id -= 17;
-    }
-    return _id;
-}