Index: trunk/geant4/config/scripts/env.csh.SH
===================================================================
--- trunk/geant4/config/scripts/env.csh.SH	(revision 593)
+++ trunk/geant4/config/scripts/env.csh.SH	(revision 606)
@@ -40,4 +40,5 @@
 unsetenv  G4NEUTRONHPDATA
 unsetenv  G4RADIOACTIVEDATA
+unsetenv  G4ABLADATA
 
 unsetenv  G4LIB
@@ -46,4 +47,5 @@
 unsetenv  G4LIB_BUILD_STATIC
 unsetenv  G4LIB_BUILD_ZLIB
+unsetenv  G4LIB_BUILD_GDML
 unsetenv  G4LIB_USE_G3TOG4
 unsetenv  G4LIB_USE_GRANULAR
@@ -146,4 +148,11 @@
 
 #+
+if ( X$g4abladata != X ) then
+setenv G4ABLADATA "$g4abladata"
+echo "On this machine the G4ABLADATA=\$G4ABLADATA"
+endif
+
+
+#+
 #if ( X$g4elasticdata != X ) then
 #setenv G4ELASTICDATA "$g4elasticdata"
@@ -380,4 +389,23 @@
 echo "On this machine the XAWLIBS=\$XAWLIBS"
 endif 
+
+
+
+#
+# Use GDML module
+#
+#+
+if ( X$g4lib_build_gdml == Xy ) then
+setenv G4LIB_BUILD_GDML 1
+echo "On this machine the G4LIB_BUILD_GDML=\$G4LIB_BUILD_GDML"
+endif 
+
+if ( X$g4lib_build_gdml == Xy ) then
+setenv XERCESCROOT "$g4gdml_xercesc_root"
+echo "On this machine the XERCESCROOT=\$XERCESCROOT"
+endif
+
+
+
 
 #
@@ -489,7 +517,17 @@
 setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
 setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if ( ${?G4LIB_BUILD_GDML} ) then
+   setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${XERCESCROOT}/lib
+endif
+
 else
 setenv LD_LIBRARY_PATH ${G4LIB}/${G4SYSTEM}
 setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if ( ${?G4LIB_BUILD_GDML} ) then
+   setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${XERCESCROOT}/lib
+endif
+
 endif
 endif
@@ -504,7 +542,17 @@
 setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
 setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if ( ${?G4LIB_BUILD_GDML} ) then
+   setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${XERCESCROOT}/lib
+endif
+
 else
 setenv DYLD_LIBRARY_PATH ${G4LIB}/${G4SYSTEM}
 setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if ( ${?G4LIB_BUILD_GDML} ) then
+   setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${XERCESCROOT}/lib
+endif
+
 endif
 endif
Index: trunk/geant4/config/scripts/env.sh.SH
===================================================================
--- trunk/geant4/config/scripts/env.sh.SH	(revision 593)
+++ trunk/geant4/config/scripts/env.sh.SH	(revision 606)
@@ -40,4 +40,5 @@
 unset  G4NEUTRONHPDATA
 unset  G4RADIOACTIVEDATA
+unset  G4ABLADATA
 
 unset  G4LIB
@@ -46,4 +47,5 @@
 unset  G4LIB_BUILD_STATIC
 unset  G4LIB_BUILD_ZLIB
+unset  G4LIB_BUILD_GDML
 unset  G4LIB_USE_G3TOG4
 unset  G4LIB_USE_GRANULAR
@@ -172,4 +174,16 @@
 
 #+
+if [ X$g4abladata != X ] ; then 
+G4ABLADATA="$g4abladata"
+export G4ABLADATA
+if [ X\$g4non_display = X ] ; then
+echo "On this machine the G4ABLADATA=\$G4ABLADATA"
+fi
+fi
+
+
+
+
+#+
 #if [ X$g4elasticdata != X ] ; then 
 #G4ELASTICDATA="$g4elasticdata"
@@ -517,4 +531,23 @@
 fi
 fi 
+
+
+#
+# Use GDML module
+#
+#+
+if [ X$g4lib_build_gdml = Xy ] ; then
+G4LIB_BUILD_GDML=1
+export G4LIB_BUILD_GDML
+echo "On this machine the G4LIB_BUILD_GDML=\$G4LIB_BUILD_GDML"
+fi 
+
+if [ X$g4lib_build_gdml = Xy ] ; then
+XERCESCROOT=$g4gdml_xercesc_root
+export XERCESCROOT
+echo "On this machine the XERCESCROOT=\$XERCESCROOT"
+fi 
+
+
 
 #
@@ -670,8 +703,18 @@
 LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
 LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if [ $G4LIB_BUILD_GDML ] ; then
+   LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${XERCESCROOT}/lib
+fi
 export LD_LIBRARY_PATH
+
 else
 LD_LIBRARY_PATH=${G4LIB}/${G4SYSTEM}
 LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if [ $G4LIB_BUILD_GDML ] ; then
+   LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${XERCESCROOT}/lib
+fi
+
 export LD_LIBRARY_PATH
 fi
@@ -687,8 +730,18 @@
 DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
 DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if [ $G4LIB_BUILD_GDML ] ; then
+   DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${XERCESCROOT}/lib
+fi
+
 export DYLD_LIBRARY_PATH
 else
 DYLD_LIBRARY_PATH=${G4LIB}/${G4SYSTEM}
 DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+
+if [ $G4LIB_BUILD_GDML ] ; then
+   DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${XERCESCROOT}/lib
+fi
+
 export DYLD_LIBRARY_PATH
 fi
Index: trunk/geant4/config/scripts/install.sh.SH
===================================================================
--- trunk/geant4/config/scripts/install.sh.SH	(revision 593)
+++ trunk/geant4/config/scripts/install.sh.SH	(revision 606)
@@ -40,4 +40,5 @@
 unset  G4NEUTRONHPDATA
 unset  G4RADIOACTIVEDATA
+unset  G4ABLADATA
 
 unset  G4LIB
@@ -46,4 +47,5 @@
 unset  G4LIB_BUILD_STATIC
 unset  G4LIB_BUILD_ZLIB
+unset  G4LIB_BUILD_GDML
 unset  G4LIB_USE_G3TOG4
 unset  G4LIB_USE_GRANULAR
@@ -151,4 +153,14 @@
 
 #+
+if [ X$g4abladata != X ] ; then 
+G4ABLADATA="$g4abladata"
+export G4ABLADATA
+echo "On this machine the G4ABLADATA=\$G4ABLADATA"
+fi
+
+
+
+
+#+
 #if [ X$g4elasticdata != X ] ; then 
 #G4ELASTICDATA="$g4elasticdata"
@@ -442,4 +454,22 @@
 fi
 fi 
+
+
+#
+# Use GDML module
+#
+#+
+if [ X$g4lib_build_gdml = Xy ] ; then
+G4LIB_BUILD_GDML=1
+export G4LIB_BUILD_GDML
+echo "On this machine the G4LIB_BUILD_GDML=\$G4LIB_BUILD_GDML"
+fi 
+
+if [ X$g4lib_build_gdml = Xy ] ; then
+XERCESCROOT=$g4gdml_xercesc_root
+export XERCESCROOT
+echo "On this machine the XERCESCROOT=\$XERCESCROOT"
+fi 
+
 
 #
Index: trunk/geant4/config/scripts/move.sh.SH
===================================================================
--- trunk/geant4/config/scripts/move.sh.SH	(revision 593)
+++ trunk/geant4/config/scripts/move.sh.SH	(revision 606)
@@ -96,4 +96,13 @@
 
 #+
+if [ X$g4abladata != X ] ; then 
+G4ABLADATA="$g4abladata"
+export G4ABLADATA
+echo "On this machine the G4ABLADATA=\$G4ABLADATA"
+fi
+
+
+
+#+
 #if [ X$g4elasticdata != X ] ; then 
 #G4ELASTICDATA="$g4elasticdata"
@@ -305,4 +314,23 @@
 fi 
 
+
+#
+# Use GDML module
+#
+#+
+if [ X$g4lib_build_gdml = Xy ] ; then
+G4LIB_BUILD_GDML=1
+export G4LIB_BUILD_GDML
+echo "On this machine the G4LIB_BUILD_GDML=\$G4LIB_BUILD_GDML"
+fi 
+
+if [ X$g4lib_build_gdml = Xy ] ; then
+XERCESCROOT=$g4gdml_xercesc_root
+export XERCESCROOT
+echo "On this machine the XERCESCROOT=\$XERCESCROOT"
+fi 
+
+
+
 #
 # Use G3TOG4 module